/* Mega Menu Parent */
.main-menu .mega-menu-parent {
    position: relative;
}

.chapters-mega-menu a::after {
    display: none !important;
    content: none !important;
}

/* Mega Menu Container */
.chapters-mega-menu {
    position: absolute;
    top: 105%;
    left: 50%;
    transform: translateX(-63%) !important;
    width: 1240px;
    background:#F5F5F5;
    border-radius: 15px;
    box-shadow: 21px 52px 40px rgb(56 56 56 / 52%);
    display: flex;
    z-index: 99999;
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
    margin-top: 20px;
    overflow: hidden;
}

/* Show Mega Menu */
.main-menu .mega-menu-parent:hover .chapters-mega-menu {
    opacity: 1;
    visibility: visible;
    margin-top: 0;
}

/* Left Section */
.mega-left {
    display: flex;
    width: 300px;
    padding:25px;
    background: #ffffff;
    border-right: 1px solid #eee;
    flex-direction: column;
    gap: 10px;
}

.mega-label {
    display: block;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 1px;
    color: #01133D;

}

.mega-left h2 {
    font-size: 40px;
    line-height: 1.2;
    margin: 0 0 15px;
    color: #202020;
}

.mega-left h2 span {
    color: #01133D;
}

.mega-left p {
    font-size: 16px !important;
    color: #202020;
    line-height: 140% !important;

}

.mega-stats {
    display: flex;
    gap: 30px;
    margin-bottom: 25px;
}

.mega-stats strong {
    display: block;
    font-size: 26px;
    color: #111827;
}

.mega-stats span {
    font-size: 13px;
    color: #6b7280;
}

.mega-btn {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    background: #01133D;
    color: #fff !important;
    padding: 12px 20px;
    border-radius: 6px;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;
}

.mega-btn:hover {
    background: #01133D;
}

/* Right Section */
.mega-right {
    flex: 1;
    padding: 35px;
}

.chapter-title {
    display: block;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 1px;
    color: #6b7280;
    margin-bottom: 20px;
}

/* Chapter Grid */
.chapter-menu-grid {
    list-style: none !important;
    margin: 0 !important;
    padding: 0 !important;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.chapter-menu-grid li {
    margin: 0 !important;
    padding: 0 !important;
    line-height: 1.5;
}

.chapter-menu-grid li a {
    display: flex;
    align-items: center;
    padding: 12px 15px;
    min-height: 48px;

    border: 1px solid #0000001f;
    border-radius: 6px;

    color: #111827;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;

    transition: all .3s ease;
}

.chapter-menu-grid li a:hover {
    background: #01133D;
    color: #fff;
    border-color: #01133D;
}

/* Footer */
.mega-footer {
    margin-top: 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 13px;
    color: #6b7280;
}

.mega-footer a {
    color: #01133D;
    text-decoration: none;
}

.launching {
    color: #10b981;
}

/* Mobile */
@media (max-width: 1200px) {

    .chapters-mega-menu {
        width: 95vw;
    }

    .chapter-menu-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 991px) {

    .chapters-mega-menu {
        display: none !important;
    }
}